import _mergeJSXProps from "babel-helper-vue-jsx-merge-props";
import Vue from 'vue';
export default Vue.extend({
  name: 'CheckCircleIcon',
  props: {
    size: {
      type: [String, Number],
      default: 24
    }
  },
  functional: true,
  render: function render(h, ctx) {
    var size = "".concat(ctx.props.size, "px");
    var attrs = ctx.data.attrs || {};
    attrs.width = attrs.width || size;
    attrs.height = attrs.height || size;
    ctx.data.attrs = attrs; // @ts-ignore

    return h("svg", _mergeJSXProps([{
      "class": "bi bi-check-circle",
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 20 20",
        fill: "currentColor",
        xmlns: "http://www.w3.org/2000/svg"
      }
    }, ctx.data]), ["  ", h("path", {
      attrs: {
        "fill-rule": "evenodd",
        d: "M17.354 4.646a.5.5 0 010 .708l-7 7a.5.5 0 01-.708 0l-3-3a.5.5 0 11.708-.708L10 11.293l6.646-6.647a.5.5 0 01.708 0z",
        "clip-rule": "evenodd"
      }
    }), "  ", h("path", {
      attrs: {
        "fill-rule": "evenodd",
        d: "M10 4.5a5.5 5.5 0 105.5 5.5.5.5 0 011 0 6.5 6.5 0 11-3.25-5.63.5.5 0 11-.5.865A5.472 5.472 0 0010 4.5z",
        "clip-rule": "evenodd"
      }
    })]);
  }
});