import _mergeJSXProps from "babel-helper-vue-jsx-merge-props";
import Vue from 'vue';
export default Vue.extend({
  name: 'GridFillIcon',
  props: {
    size: {
      type: [String, Number],
      default: 24
    }
  },
  functional: true,
  render: function render(h, ctx) {
    var size = "".concat(ctx.props.size, "px");
    var attrs = ctx.data.attrs || {};
    attrs.width = attrs.width || size;
    attrs.height = attrs.height || size;
    ctx.data.attrs = attrs; // @ts-ignore

    return h("svg", _mergeJSXProps([{
      "class": "bi bi-grid-fill",
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 20 20",
        fill: "currentColor",
        xmlns: "http://www.w3.org/2000/svg"
      }
    }, ctx.data]), ["  ", h("rect", {
      attrs: {
        width: "6",
        height: "6",
        x: "3.5",
        y: "10.5",
        rx: "1"
      }
    }), "  ", h("rect", {
      attrs: {
        width: "6",
        height: "6",
        x: "10.5",
        y: "10.5",
        rx: "1"
      }
    }), "  ", h("rect", {
      attrs: {
        width: "6",
        height: "6",
        x: "10.5",
        y: "3.5",
        rx: "1"
      }
    }), "  ", h("rect", {
      attrs: {
        width: "6",
        height: "6",
        x: "3.5",
        y: "3.5",
        rx: "1"
      }
    })]);
  }
});