import _mergeJSXProps from "babel-helper-vue-jsx-merge-props";
import Vue from 'vue';
export default Vue.extend({
  name: 'KanbanIcon',
  props: {
    size: {
      type: [String, Number],
      default: 24
    }
  },
  functional: true,
  render: function render(h, ctx) {
    var size = "".concat(ctx.props.size, "px");
    var attrs = ctx.data.attrs || {};
    attrs.width = attrs.width || size;
    attrs.height = attrs.height || size;
    ctx.data.attrs = attrs; // @ts-ignore

    return h("svg", _mergeJSXProps([{
      "class": "bi bi-kanban",
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 20 20",
        fill: "currentColor",
        xmlns: "http://www.w3.org/2000/svg"
      }
    }, ctx.data]), ["  ", h("path", {
      attrs: {
        "fill-rule": "evenodd",
        d: "M15.5 3h-11a1 1 0 00-1 1v12a1 1 0 001 1h11a1 1 0 001-1V4a1 1 0 00-1-1zm-11-1a2 2 0 00-2 2v12a2 2 0 002 2h11a2 2 0 002-2V4a2 2 0 00-2-2h-11z",
        "clip-rule": "evenodd"
      }
    }), "  ", h("rect", {
      attrs: {
        width: "3",
        height: "5",
        x: "8.5",
        y: "4",
        rx: "1"
      }
    }), "  ", h("rect", {
      attrs: {
        width: "3",
        height: "9",
        x: "4.5",
        y: "4",
        rx: "1"
      }
    }), "  ", h("rect", {
      attrs: {
        width: "3",
        height: "12",
        x: "12.5",
        y: "4",
        rx: "1"
      }
    })]);
  }
});